
Redmine - Defect #30431

Useless "Delete issues" tracker permission is shown on the role page for Anonymous and

Non-member

2019-01-15 07:09 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version: 4.1.0   

Resolution: Fixed Affected version:  

Description

Since you cannot grant a "Delete issues" permission for Anonymous and Non-member roles, "Delete issues" column in the tracker

permission table on the role page is useless. The column should be hidden like default "Reporter" role.

 

Associated revisions

Revision 18508 - 2019-09-24 06:18 - Go MAEDA

Don't show unsettable permissions in the tracker permissions table (#30431).

Patch by Yuichi HARADA.

History

#1 - 2019-04-26 07:22 - Yuichi HARADA

- File 30431.patch added

It was displayed "Delete issues" column in the tracker permission table on the role page because it was not confirmed the settable permissions of the

role.

I attached a patch.

#2 - 2019-04-26 09:01 - Go MAEDA

- Target version set to Candidate for next minor release

#3 - 2019-09-22 07:33 - Go MAEDA

- File 30431-v2.patch added

- Target version changed from Candidate for next minor release to 4.1.0

LGTM but I propose a slight change as follows. Using & operator is simpler and much faster than using delete_if.

<% permissions = [:view_issues, :add_issues, :edit_issues, :add_issue_notes, :delete_issues] & 

setable_permissions.collect(&:name) %>

 Setting the target version to 4.1.0.

#4 - 2019-09-24 06:19 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed
Committed the patch. Thank you for fixing this issue.
